Module
Inhalte
Index 🔎︎

# Anweisungen On...GoSub und On...GoTo

Verzweigt an eine von mehreren angegebenen anderen Stellen des Programms in Abhängigkeit eines numerischen Ausdrucks.

## Syntax:

    On N GoSub Ziel1[, Ziel2[, Zeil3[,...]]]

    On NumAusdruck GoTo Ziel1[, Ziel2[, Ziel3[,...]]]

## Parameter:

NumAusdruck Ein beliebiger numerischer Ausdruck zwischen 0 und 255, der festlegt, zu welcher Zeile das Programm verzweigt. Bei NumAusdruck = 0 wird die Anweisung nicht ausgeführt. Ist NumAusdruck größer 0, so springt das Programm zum Label mit der dem Ausdruck entsprechenden Positionsnummer (1 = erstes Label; 2 = zweites Label)

Ziel: Die Sprungzielzeile der GoTo- oder GoSub-Struktur.

Die Konventionen für GoTo oder GoSub sind zulässig.

## Beispiel:

    Sub ExampleOnGosub

    Dim iVar As Integer

    Dim sVar As String

        iVar = 2

        sVar =""

        On iVar GoSub Sub1, Sub2

        On iVar GoTo Line1, Line2

        Exit Sub

    Sub1:

        sVar =sVar & " Von Sub 1 nach" : Return

    Sub2:

        sVar =sVar & " Von Sub 2 nach" : Return

    Line1:

        sVar =sVar & " Marke 1" : GoTo Ende

    Line2:

        sVar =sVar & " Marke 2"

    Ende:

        MsgBox sVar,0,"On...GoSub"

    End Sub